Bug 190405 - pup and yum fail to run
pup and yum fail to run
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 19:18 EDT by Farhad Arbab
Modified: 2014-01-21 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 13:34:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Farhad Arbab 2006-05-01 19:18:00 EDT
Description of problem:
pup gives the error "Unable to retireve update information" and dies.
yum update says:

Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
core                                                                 [1/3]
Cannot find a valid baseurl for repo: core
Error: Cannot find a valid baseurl for repo: core

and stops.


Version-Release number of selected component (if applicable):
 yum version is 2.6.0

How reproducible:

Every time.


Steps to Reproduce:
1.
2.
3.
  
Actual results:

see above

Expected results:


Additional info:

I just upgraded from FC3 to FC5.  I downloaded the dvd iso, burt it , and booted
from the dvd and did an upgrade.  Everything seemed to go well.  Ii tried to
update the system running pup, and then tried running yum directly.  I also
spent some hours discussing the problem on #fedora chat with some people,
looking at various yum configuration files, etc., to no avail.
Comment 1 Jeremy Katz 2006-05-01 20:47:31 EDT
Do you have a network connection available?  Do you need to use a proxy for
accessing the network?
Comment 2 Farhad Arbab 2006-05-02 04:31:03 EDT
Yes, I do have network connection on this PC.  The browser works fine.  The
(evolution) email works fine.  Chat works fine.  Pinging any site by name works
fine too.  No, to my knowledge there is no proxy. I certainly did not configure
any proxy nor any firewall myself.
Comment 3 Seth Vidal 2006-05-02 07:00:23 EDT
could you post your /etc/yum.conf file and your /etc/yum.repos.d/fedora.repo file?


thanks
Comment 4 Farhad Arbab 2006-05-02 15:41:31 EDT
Well, there is no /etc/yum.repos.d/fedora.repo file, can this be the problem? 
Why is that so?  The contents of the /etc/yum.conf file and the
/etc/yum.repos.d/ directory are included below.

[root@localhost yum.repos.d]# cat /etc/yum.conf
[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
metadata_expire=1800

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d
You have new mail in /var/spool/mail/root
[root@localhost yum.repos.d]#


[root@localhost yum.repos.d]# cat /etc/yum.repos.d/fedora.repo
cat: /etc/yum.repos.d/fedora.repo: No such file or directory
[root@localhost yum.repos.d]# ls /etc/yum.repos.d
fedora-core.repo                fedora-legacy.repo
fedora-development.repo         fedora-updates.repo
fedora-extras-development.repo  fedora-updates-testing.repo
fedora-extras.repo
[root@localhost yum.repos.d]#


Comment 5 Seth Vidal 2006-05-02 16:54:20 EDT
sorry, I meant to say fedora-core.repo

thanks
Comment 6 Don Wilder 2006-07-01 12:59:04 EDT
I have this same issue.

yum install ClamAV
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
core                                                                 [1/5]
Cannot find a valid baseurl for repo: core
Error: Cannot find a valid baseurl for repo: core
-------------------------------------------------------
/etc/yum.conf 
[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
metadata_expire=1800

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d
--------------------------------------------
/etc/yum.repos.d/fedora-core.repo 
[core]
name=Fedora Core $releasever - $basearch
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/os/
mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-core-$releasever
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[core-debuginfo]
name=Fedora Core $releasever - $basearch - Debug
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/debug/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[core-source]
name=Fedora Core $releasever - Source
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/source/SRPMS/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY
-------------------------------------------------------

Taking the comment # from the baseurl line produces:
yum install ClamAV
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
core                                                                 [1/5]
http://download.fedora.redhat.com/pub/fedora/linux/core/5/i386/os/repodata/repomd.xml:
[Errno 4] IOError: <urlopen error (11, 'Resource temporarily unavailable')>
Trying other mirror.
Cannot open/read repomd.xml file for repository: core
failure: repodata/repomd.xml from core: [Errno 256] No more mirrors to try.
Error: failure: repodata/repomd.xml from core: [Errno 256] No more mirrors to try.
Comment 7 George Arseneault 2006-07-18 14:33:13 EDT
I have had a simular problem. But, I have a fresh install with no network 
connection (or any ISP. I'm using a friend's) I did manage to manually (shell 
with superuser access) access the extras disk and downloaded one of the GUI 
Yum programs and eventually added a repo for the extras disk, and it works if 
I shut off all the other repo's. But I have yet to figure out how to access 
the rpm's on the main DVD. (I'm trying to instal Timidity++. It's a dependency 
for some of the games on the extras disk)  When I tried doing them manually, 
it just freaked on me. (mess on the shell and nothing installed)

tried doing an update of my system. (no go. will let me change my boot program 
but doesn't let me change the other programing. Just checks for update of the 
existing programing)
Comment 8 George Arseneault 2006-07-21 14:11:04 EDT
I think I got this figured... Some of the repositories that it checks, by 
default, were not given an actual location. When it tries to check the 
repository, you get the error and booted out of the app. Also, if you 
installed linux on a computer without internet access, any repository with an 
HTTP: address will do the same. As will not having your install DVD and the 
EXTRAS CD-rom mounted.

How I Got Around it:
KYUM does not boot you out after the error and allows you to edit the 
repository properties as well as dis-abling any repositories you don't want it 
to check.
Using Konqueror, I searched the extras disk until I found a folder 
named "repodata" and the file index.html.  When you open it, on the first page 
you will see the format for yum command to install any of the rpm's on this 
disk manually. On the left side, click on the "KDE-Desktop" to find the KYUM 
listing.
Once you have KYUM installed, run it. (I assume from the 'K' that you need to 
run it from a KDE Desktop)
Click on the tab labeled "repositories"
You should now see a listing with the column headings: "Tag", "Name", "Base 
URL" and "File". Any line with the little box on the left is enabled. (will 
search this repository)
Right click on the line with the Tag "Core", and select "edit properties"
In the field labeled "Base URL" enter the location, which for me 
is "file:///media/disk/" (how I came up with this... The program will look for 
a folder on your installation disk named "repodata" which on my system 
is /media/disk/repodata/. So I entered "file:///media/disk/". Please note: for 
some reason my install DVD is actually labeled "FC/5 i386" which would 
obviously cause an error. When I searched it with Konqueror it shows up in the 
location field as "file:///media/scd0/" but KYUM wouldn't accept it. So I 
opened a terminal and entered "cd /media/" and then did an "ls" to see what it 
would accept.)
Now do the same for the line "Extras" (for me the location 
was "file:///media/FC5/extras/5/i386/" this is, obviously asking for the 
location on the Extras disk.)
Now, uncheck any repos without an entry under "Base URL" or any repos that 
would give you an error.
Once your done, save your profile (File>Save Profile  or just click on the 
dude with the green checkmark.)
Since you can save multiple profiles, you could do so with different 
combinations of repositories enabled.
To check if it works, click on the "Actions" tab and then click on the "List 
Available" button. This command takes time so wait for the buttons to undim.
If you don't see any orange words in the bottom left window labled "output" 
and a list of rpm's comes up, it works.
By my observations, whatever repositories are enabled when you exit KYUM are 
the ones that will be searched when you use add/remove software. So you should 
now be able to use pup or any other yum type program.

NOTE: I do not consider this a Fix. I recomend that this bug stays open until 
someone advises us on the proper settings for the rest of the repositories.
Comment 9 Jeremy Katz 2006-09-18 16:31:26 EDT
Are you still having problems with this? 
Comment 10 Fredy Kruger 2006-09-18 18:02:49 EDT
What I did was to get into /etc/yum.repos.d directory and edit every .repo file.
Inside these files, exists one or more keys named baseurl, ensure that they are
not commented with a # mark, in that case, remove the # mark and save the file.

After doing this, you can execute from your regular user: su -c yum grouplist

I hope this can be helpful.

Regards
Comment 11 Fredy Kruger 2006-09-18 18:05:09 EDT
What I did was to get into /etc/yum.repos.d directory and edit every .repo file.
Inside these files, exists one or more keys named baseurl, ensure that they are
not commented with a # mark, in that case, remove the # mark and save the file.

After doing this, you can execute from your regular user: su -c yum grouplist

I hope this can be helpful.

Regards
Comment 12 Fredy Kruger 2006-09-18 18:09:22 EDT
What I did was to get into /etc/yum.repos.d directory and edit every .repo file.
Inside these files, exists one or more keys named baseurl, ensure that they are
not commented with a # mark, in that case, remove the # mark and save the file.

After doing this, you can execute from your regular user: su -c yum grouplist

I hope this can be helpful.

Regards
Comment 13 George Arseneault 2006-10-02 14:05:04 EDT
I Checked the .repo files in my /etc/yum.repos.d. Only found two remarked (#) 
base urls. I am still missing the following:
Tag			Name
Legacy-Testing		Fedora Legacy 5 - i386 - Updates Testing
Legacy-Updates		Fedora Legacy 5 - i386 - Updates
Updates			Fedora Core 5 - i386 - Updates

Obviously the last is the one most vital to me.

Looking at the other listings, it seems to me that the 'name' field gives you 
the exact order for the Base Url. So, here is my take on what the base urls 
should be. (in the same order as above):

baseurl=http://download.fedora.redhat.com/pub/fedora/linux/legacy/$releasever/
$basearch/udpates/testing/
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/legacy/$releasever/
$basearch/udpates/
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/
$basearch/udpates/

I would appreciate it if someone would check and/or correct these.

Come to think of it... the proper listings for these would also be helpful to 
anyone else who doesn't have them.

Fedora Core 5 - i386
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/
$basearch/

Fedora Extras 5 - i386
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/$releasever/
$basearch/

These are the ones that I, currantly, have pointing to my disks (Install DVD 
and Extras CD). I will be moving those to seperate repo listings.

BTW, for anyone interested, I have figured out how to setup a 'local' 
repository.

First: create a folder to place all the rpms that you've aquired. (perhaps 
from third-party sources that don't have a repository. ex. Sourceforge) A 
folder labeled 'RPMS' in your home folder would be convient.

Second: create a repo listing that points to that folder. 
ex. 'baseurl=file:///home/joe/RPMS' (Asuming your login is 'joe')

Third: use a terminal to run the 'createrepo' command. ex. 'createrepo 
~/RPMS/' (this creates the metadata that yum needs to know what is in the 
folder)

Note: if you add/remove any rpms from the folder, you will have to run the 
createrepo command again to update the metadata for yum.

I know, 'yum localinstall' is easier... But, consider this... if the local 
repo is enabled, all the rpms in it will automatically be available to resolve 
dependency issues.  Also, multiple installs/updates can be handled quickly 
with a GUI front end like kyum or yumex.

Note You need to log in before you can comment on or make changes to this bug.